# eric4.Templates.TemplateSingleVariableDialog

Module implementing a dialog for entering a single template variable.

### Global Attributes

None

### Classes

TemplateSingleVariableDialog | Class implementing a dialog for entering a single template variable.

### Functions

None

## TemplateSingleVariableDialog

Class implementing a dialog for entering a single template variable.

### Derived from

QDialog, Ui_TemplateSingleVariableDialog

### Class Attributes

None

### Class Methods

None

### Methods

TemplateSingleVariableDialog | Constructor
getVariable | Public method to get the value for the variable.

### Static Methods

None

#### TemplateSingleVariableDialog (Constructor)

TemplateSingleVariableDialog(variable, parent = None)

Constructor

variable
  template variable name (string)
parent
  parent widget of this dialog (QWidget)

#### TemplateSingleVariableDialog.getVariable

getVariable()

Public method to get the value for the variable.

Returns:
  value for the template variable (string)

Up